> ## Documentation Index
> Fetch the complete documentation index at: https://docs-stage.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# UpdateOrderDispatchV2

> Updates the order status and Delivery Quantities for the products, as well as the Merchant's internal Delivery Reference Number, if applicable. You can also add tracking information on each parcel or on the entire order. Optionally, you can include the list of Parcels with Products for this order shipment to the Global-e hub, exceptions to report on out-of-stock items, and items that will be shipped later on.

<Note>
  Part of the [Dispatch Notifications via API](/dispatch-notifications-via-api) integration guide — see it for when and how to use this endpoint.
</Note>


## OpenAPI

````yaml api-reference/specs/updateorderdispatchv2.yaml POST /Order/UpdateOrderDispatchV2
openapi: 3.0.3
info:
  title: UpdateOrderDispatchV2
  description: >-
    This section describes the manifest shipping requirements sent by Merchants
    to Global-e via API.
  version: 1.0.0
  x-scaled-review: true
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: UpdateOrderDispatchV2
    x-page-title: UpdateOrderDispatchV2
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Orders'
paths:
  /Order/UpdateOrderDispatchV2:
    post:
      tags:
        - UpdateOrderDispatchV2
      summary: UpdateOrderDispatchV2
      description: >-
        Updates the order status and Delivery Quantities for the products, as
        well as the Merchant's internal Delivery Reference Number, if
        applicable. You can also add tracking information on each parcel or on
        the entire order. Optionally, you can include the list of Parcels with
        Products for this order shipment to the Global-e hub, exceptions to
        report on out-of-stock items, and items that will be shipped later on.
      operationId: updateOrderDispatchV2
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrderDispatchRequest'
            example:
              OrderId: GE123874638GB
              MerchantOrderID: '100018322'
              DeliveryReferenceNumber: '123756483'
              IsCompleted: false
              Parcels:
                - ParcelCode: '123454321'
                  Products:
                    - DeliveryQuantity: 1
                      CartItemId: '12365'
                      ProductCode: '121212'
                    - DeliveryQuantity: 2
                      CartItemId: '12376'
                      ProductCode: '131313'
              Exceptions:
                - CartItemId: '12366'
                  ProductCode: '121213'
                  ExceptionType: 1
                  Quantity: 1
                - CartItemId: '12367'
                  ProductCode: '121214'
                  ExceptionType: 2
                  ExpectedFulfilmentDate: '2018-01-18'
      responses:
        '200':
          description: Response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseInfo'
              examples:
                success:
                  summary: Success Response
                  value:
                    Success: true
                    Reason: Operation description
                objectProcessingError:
                  summary: Object processing error
                  value:
                    Success: false
                    Reason: Processing error detail
        default:
          description: General API error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorInfo'
              example:
                Code: error code
                Error: error message
                Description: error description
components:
  schemas:
    UpdateOrderDispatchRequest:
      type: object
      title: UpdateOrderDispatchRequest
      properties:
        OrderId:
          type: string
          description: >-
            Global-e order unique identifier. Note Either OrderID or
            MerchantOrderID should be specified.
        MerchantOrderId:
          type: string
          description: >-
            Order unique identifier on the Merchant's site. Note Either OrderID
            or MerchantOrderID should be specified.
        DeliveryReferenceNumber:
          type: string
          description: Merchant's internal Delivery Reference Number for this order.
        IsCompleted:
          type: boolean
          description: >-
            Flag to mark orders as "completed" by the Merchant. TRUE if order
            fulfillment has been completed and no more products will be shipped.
            FALSE if order fulfillment has not been completed yet.
        Parcels:
          type: array
          description: >-
            List of Parcel objects for this UpdateOrderDispatchRequest. Note
            Either Parcels or Exceptions should be specified.
          items:
            $ref: '#/components/schemas/Parcel'
        Exceptions:
          type: array
          nullable: true
          description: >-
            List of UpdateOrderDispatchException objects for this the
            UpdateOrderDispatchRequest. Note Either Parcels or Exceptions should
            be specified.
          items:
            $ref: '#/components/schemas/UpdateOrderDispatchException'
        TrackingDetails:
          allOf:
            - $ref: '#/components/schemas/TrackingDetails'
          description: >-
            Tracking information at the order level of the parcel in case the
            Merchant does the shipping by itself.
    ResponseInfo:
      type: object
      title: ResponseInfo
      properties:
        Success:
          type: boolean
        Reason:
          type: string
    ErrorInfo:
      type: object
      title: ErrorInfo
      properties:
        Code:
          type: string
        Error:
          type: string
        Description:
          type: string
    Parcel:
      type: object
      title: Parcel
      properties:
        ParcelCode:
          type: string
          maxLength: 20
          description: Code used to identify the Parcel on the Merchant's site
        Products:
          type: array
          description: >-
            List of products contained in the parcel (for each Product object
            the following fields are relevant when used in the Parcel class:
            ProductCode, CartItemId, DeliveryQuantity). The products list is
            applicable only when including the list of products in each parcel
            is mandatory (such as in the UpdateParcelDispatch method).
          items:
            $ref: '#/components/schemas/Product'
        TrackingDetails:
          allOf:
            - $ref: '#/components/schemas/TrackingDetails'
          description: Tracking information about the order/parcel.
    UpdateOrderDispatchException:
      type: object
      title: UpdateOrderDispatchException
      properties:
        CartItemId:
          type: string
          description: >-
            Identifier of the cart item on the Merchant's site. This property
            may be optionally specified in the SendCart method only so that the
            same value could be posted back when creating the order on the
            Merchant's site with the SendOrderToMerchant method. Either
            CartItemId or ProductCode should be specified.
        ProductCode:
          type: string
          description: >-
            Product unique identifier on the Merchant's site. Either CartItemId
            or ProductCode should be specified.
        ExceptionType:
          type: number
          description: >-
            One of the following possible values of the ExceptionTypes
            enumeration: 1 - Out Of Stock: Out-of-stock items will not be
            fulfilled 2 - Backorder Preorder Customized Item:
            Backorder/preorder/customized items will be fulfilled. 3 -
            Cancellation by request: Cancelled by customer request will not be
            fulfilled.
        ExpectedFulfilmentDate:
          type: string
          format: date
          description: >-
            Expected date for backordered/preordered/customized item to be
            fulfilled (in YYYY-MM-DD format).
        Quantity:
          type: number
          description: >-
            Product quantity that the exception refers to. Mandatory only for
            Exception Type 3.
    TrackingDetails:
      type: object
      title: TrackingDetails
      properties:
        TrackingNumber:
          type: string
          description: The tracking number as the shipper has specified
        TrackingURL:
          type: string
        ShipperName:
          type: string
    Product:
      type: object
      title: Product
      properties:
        ProductCode:
          type: string
          description: >-
            SKU code used to identify the product on the Merchant's site (to be
            mapped on the Global-e side).
        CartItemId:
          type: string
          description: >-
            Identifier of the cart item on the Merchant's site. This property
            may be optionally specified in the SendCart method only so that the
            same value can be posted back when creating the order on the
            Merchant's site with the SendOrderToMerchant method.
        DeliveryQuantity:
          type: number
          description: >-
            The quantity actually set for delivery for the product (to be used
            in the Order methods described below, as needed)

````